aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-12-28 14:36:02 +0100
committer Eric Hameleers <alien@slackware.com>2020-12-28 14:36:02 +0100
commit840c7af5702a04e22fb7de47e2a32b5e0c7853c0 (patch)
tree379c23a68f0bccb3a25f2216a044fe19ddf95be4
parentac578eee3ec3fcc266fc78d3f9a4f5783d4816d3 (diff)
downloadliveslak-840c7af5702a04e22fb7de47e2a32b5e0c7853c0.tar.gz
liveslak-840c7af5702a04e22fb7de47e2a32b5e0c7853c0.tar.xz
Fix logic error in finding package full name from its basename
-rwxr-xr-xmake_slackware_live.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/make_slackware_live.sh b/make_slackware_live.sh
index 80ecc64..ebae873 100755
--- a/make_slackware_live.sh
+++ b/make_slackware_live.sh
@@ -2444,7 +2444,7 @@ EOT
# get that added so that our mew submenu will be populated:
for DAWPKG in $(cat ${LIVE_TOOLDIR}/pkglists/z03_daw.lst |grep -v x42 |grep -Ev '(^ *#)' ) ; do
# Find the installed full package name belonging to the DAW package:
- PKGINST=$( ls -1 ${LIVE_ROOTDIR}/var/log/packages/${DAWPKG}* 2>/dev/null |grep -E "/var/log/packages/${DAWPKG}-[^-]+-[^-]+-[^-]+" || true)
+ PKGINST=$( ls -1 ${LIVE_ROOTDIR}/var/log/packages/${DAWPKG}* 2>/dev/null |grep -E "/var/log/packages/${DAWPKG}-[^-]+-[^-]+-[^-]+$" || true)
if [ -n "${PKGINST}" ]; then
for DESKTOPF in $(grep 'usr/share/applications/.*.desktop' ${PKGINST})
do